/*
 * Copyright 2020 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */


/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v9.0
processor: MIMXRT595S
package_id: MIMXRT595SFFOC
mcu_data: ksdk2_0
processor_version: 0.9.0
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_iopctl.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: cm33, enableClock: 'true'}
- pin_list:
  - {pin_num: H16, peripheral: FLEXCOMM0, signal: RXD_SDA_MOSI_DATA, pin_signal: PIO0_2/FC0_RXD_SDA_MOSI_DATA/CTIMER0_MAT2/I2S_BRIDGE_DATA_IN/SEC_PIO0_2, ibena: enabled}
  - {pin_num: G16, peripheral: FLEXCOMM0, signal: TXD_SCL_MISO_WS, pin_signal: PIO0_1/FC0_TXD_SCL_MISO_WS/CTIMER0_MAT1/I2S_BRIDGE_WS_IN/SEC_PIO0_1}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
/* Function assigned for the Cortex-M33 */
void BOARD_InitPins(void)
{

    const uint32_t port0_pin1_config = (/* Pin is configured as FC0_TXD_SCL_MISO_WS */
                                        IOPCTL_PIO_FUNC1 |
                                        /* Disable pull-up / pull-down function */
                                        IOPCTL_PIO_PUPD_DI |
                                        /* Enable pull-down function */
                                        IOPCTL_PIO_PULLDOWN_EN |
                                        /* Disable input buffer function */
                                        IOPCTL_PIO_INBUF_DI |
                                        /* Normal mode */
                                        IOPCTL_PIO_SLEW_RATE_NORMAL |
                                        /* Normal drive */
                                        IOPCTL_PIO_FULLDRIVE_DI |
                                        /* Analog mux is disabled */
                                        IOPCTL_PIO_ANAMUX_DI |
                                        /* Pseudo Output Drain is disabled */
                                        IOPCTL_PIO_PSEDRAIN_DI |
                                        /* Input function is not inverted */
                                        IOPCTL_PIO_INV_DI);
    /* PORT0 PIN1 (coords: G16) is configured as FC0_TXD_SCL_MISO_WS */
    IOPCTL_PinMuxSet(IOPCTL, 0U, 1U, port0_pin1_config);

    const uint32_t port0_pin2_config = (/* Pin is configured as FC0_RXD_SDA_MOSI_DATA */
                                        IOPCTL_PIO_FUNC1 |
                                        /* Disable pull-up / pull-down function */
                                        IOPCTL_PIO_PUPD_DI |
                                        /* Enable pull-down function */
                                        IOPCTL_PIO_PULLDOWN_EN |
                                        /* Enables input buffer function */
                                        IOPCTL_PIO_INBUF_EN |
                                        /* Normal mode */
                                        IOPCTL_PIO_SLEW_RATE_NORMAL |
                                        /* Normal drive */
                                        IOPCTL_PIO_FULLDRIVE_DI |
                                        /* Analog mux is disabled */
                                        IOPCTL_PIO_ANAMUX_DI |
                                        /* Pseudo Output Drain is disabled */
                                        IOPCTL_PIO_PSEDRAIN_DI |
                                        /* Input function is not inverted */
                                        IOPCTL_PIO_INV_DI);
    /* PORT0 PIN2 (coords: H16) is configured as FC0_RXD_SDA_MOSI_DATA */
    IOPCTL_PinMuxSet(IOPCTL, 0U, 2U, port0_pin2_config);
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPsRamPins:
- options: {callFromInitBoot: 'false', coreID: cm33, enableClock: 'true'}
- pin_list:
  - {pin_num: H1, peripheral: FLEXSPI1, signal: FLEXSPI_DATA0, pin_signal: PIO4_12/FC2_TXD_SCL_MISO_WS/FLEXSPI1_DATA0/SD1_CMD, pupdsel: pullDown, ibena: enabled,
    drive: full, iiena: disabled}
  - {pin_num: G2, peripheral: FLEXSPI1, signal: FLEXSPI_DATA1, pin_signal: PIO4_13/FC2_RXD_SDA_MOSI_DATA/FLEXSPI1_DATA1/SD1_D0, ibena: enabled, drive: full}
  - {pin_num: F1, peripheral: FLEXSPI1, signal: FLEXSPI_DATA2, pin_signal: PIO4_14/FC2_CTS_SDA_SSEL0/FLEXSPI1_DATA2/SD1_D1, ibena: enabled, drive: full}
  - {pin_num: K3, peripheral: FLEXSPI1, signal: FLEXSPI_DATA3, pin_signal: PIO4_15/FC2_RTS_SCL_SSEL1/FLEXSPI1_DATA3/SD1_D2, ibena: enabled, drive: full}
  - {pin_num: H5, peripheral: FLEXSPI1, signal: FLEXSPI_DATA4, pin_signal: PIO5_15/LCD_D20/FLEXSPI1_DATA4/FC4_CTS_SDA_SSEL0, ibena: enabled, drive: full}
  - {pin_num: H4, peripheral: FLEXSPI1, signal: FLEXSPI_DATA5, pin_signal: PIO5_16/LCD_D21/FLEXSPI1_DATA5/FC4_RTS_SCL_SSEL1, ibena: enabled, drive: full}
  - {pin_num: J3, peripheral: FLEXSPI1, signal: FLEXSPI_DATA6, pin_signal: PIO5_17/LCD_D22/FLEXSPI1_DATA6/FC4_SSEL2, ibena: enabled, drive: full}
  - {pin_num: J4, peripheral: FLEXSPI1, signal: FLEXSPI_DATA7, pin_signal: PIO5_18/LCD_D23/FLEXSPI1_DATA7/FC4_SSEL3, ibena: enabled, drive: full}
  - {pin_num: H3, peripheral: FLEXSPI1, signal: FLEXSPI_DQS, pin_signal: PIO4_16/FC2_SSEL2/FLEXSPI1_DQS/SD1_D3, pupdena: enabled, ibena: enabled, drive: full}
  - {pin_num: H2, peripheral: FLEXSPI1, signal: FLEXSPI_SCLK, pin_signal: PIO4_11/FC2_SCK/FLEXSPI1_SCLK/SD1_CLK, ibena: enabled, drive: full}
  - {pin_num: E13, peripheral: FLEXSPI1, signal: FLEXSPI_SS0_N, pin_signal: PIO4_18/FLEXSPI1_SS0_N/SD1_D4/ADC0_6, ibena: enabled, drive: full}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPsRamPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
/* Function assigned for the Cortex-M33 */
void BOARD_InitPsRamPins(void)
{

    const uint32_t port4_pin11_config = (/* Pin is configured as FLEXSPI1_SCLK */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Disable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_DI |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT4 PIN11 (coords: H2) is configured as FLEXSPI1_SCLK */
    IOPCTL_PinMuxSet(IOPCTL, 4U, 11U, port4_pin11_config);

    const uint32_t port4_pin12_config = (/* Pin is configured as FLEXSPI1_DATA0 */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Disable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_DI |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT4 PIN12 (coords: H1) is configured as FLEXSPI1_DATA0 */
    IOPCTL_PinMuxSet(IOPCTL, 4U, 12U, port4_pin12_config);

    const uint32_t port4_pin13_config = (/* Pin is configured as FLEXSPI1_DATA1 */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Disable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_DI |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT4 PIN13 (coords: G2) is configured as FLEXSPI1_DATA1 */
    IOPCTL_PinMuxSet(IOPCTL, 4U, 13U, port4_pin13_config);

    const uint32_t port4_pin14_config = (/* Pin is configured as FLEXSPI1_DATA2 */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Disable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_DI |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT4 PIN14 (coords: F1) is configured as FLEXSPI1_DATA2 */
    IOPCTL_PinMuxSet(IOPCTL, 4U, 14U, port4_pin14_config);

    const uint32_t port4_pin15_config = (/* Pin is configured as FLEXSPI1_DATA3 */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Disable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_DI |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT4 PIN15 (coords: K3) is configured as FLEXSPI1_DATA3 */
    IOPCTL_PinMuxSet(IOPCTL, 4U, 15U, port4_pin15_config);

    const uint32_t port4_pin16_config = (/* Pin is configured as FLEXSPI1_DQS */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Enable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_EN |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT4 PIN16 (coords: H3) is configured as FLEXSPI1_DQS */
    IOPCTL_PinMuxSet(IOPCTL, 4U, 16U, port4_pin16_config);

    const uint32_t port4_pin18_config = (/* Pin is configured as FLEXSPI1_SS0_N */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Disable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_DI |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT4 PIN18 (coords: E13) is configured as FLEXSPI1_SS0_N */
    IOPCTL_PinMuxSet(IOPCTL, 4U, 18U, port4_pin18_config);

    const uint32_t port5_pin15_config = (/* Pin is configured as FLEXSPI1_DATA4 */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Disable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_DI |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT5 PIN15 (coords: H5) is configured as FLEXSPI1_DATA4 */
    IOPCTL_PinMuxSet(IOPCTL, 5U, 15U, port5_pin15_config);

    const uint32_t port5_pin16_config = (/* Pin is configured as FLEXSPI1_DATA5 */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Disable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_DI |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT5 PIN16 (coords: H4) is configured as FLEXSPI1_DATA5 */
    IOPCTL_PinMuxSet(IOPCTL, 5U, 16U, port5_pin16_config);

    const uint32_t port5_pin17_config = (/* Pin is configured as FLEXSPI1_DATA6 */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Disable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_DI |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT5 PIN17 (coords: J3) is configured as FLEXSPI1_DATA6 */
    IOPCTL_PinMuxSet(IOPCTL, 5U, 17U, port5_pin17_config);

    const uint32_t port5_pin18_config = (/* Pin is configured as FLEXSPI1_DATA7 */
                                         IOPCTL_PIO_FUNC2 |
                                         /* Disable pull-up / pull-down function */
                                         IOPCTL_PIO_PUPD_DI |
                                         /* Enable pull-down function */
                                         IOPCTL_PIO_PULLDOWN_EN |
                                         /* Enables input buffer function */
                                         IOPCTL_PIO_INBUF_EN |
                                         /* Normal mode */
                                         IOPCTL_PIO_SLEW_RATE_NORMAL |
                                         /* Full drive enable */
                                         IOPCTL_PIO_FULLDRIVE_EN |
                                         /* Analog mux is disabled */
                                         IOPCTL_PIO_ANAMUX_DI |
                                         /* Pseudo Output Drain is disabled */
                                         IOPCTL_PIO_PSEDRAIN_DI |
                                         /* Input function is not inverted */
                                         IOPCTL_PIO_INV_DI);
    /* PORT5 PIN18 (coords: J4) is configured as FLEXSPI1_DATA7 */
    IOPCTL_PinMuxSet(IOPCTL, 5U, 18U, port5_pin18_config);
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
