/*
 * Copyright 2020 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */


/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define IOPCTL_PIO_ANAMUX_DI 0x00u        /*!<@brief Analog mux is disabled */
#define IOPCTL_PIO_FULLDRIVE_DI 0x00u     /*!<@brief Normal drive */
#define IOPCTL_PIO_FULLDRIVE_EN 0x0100u   /*!<@brief Full drive enable */
#define IOPCTL_PIO_FUNC1 0x01u            /*!<@brief Selects pin function 1 */
#define IOPCTL_PIO_FUNC8 0x08u            /*!<@brief Selects pin function 8 */
#define IOPCTL_PIO_INBUF_DI 0x00u         /*!<@brief Disable input buffer function */
#define IOPCTL_PIO_INBUF_EN 0x40u         /*!<@brief Enables input buffer function */
#define IOPCTL_PIO_INV_DI 0x00u           /*!<@brief Input function is not inverted */
#define IOPCTL_PIO_PSEDRAIN_DI 0x00u      /*!<@brief Pseudo Output Drain is disabled */
#define IOPCTL_PIO_PULLDOWN_EN 0x00u      /*!<@brief Enable pull-down function */
#define IOPCTL_PIO_PUPD_DI 0x00u          /*!<@brief Disable pull-up / pull-down function */
#define IOPCTL_PIO_SLEW_RATE_NORMAL 0x00u /*!<@brief Normal mode */

/*! @name FC0_RXD_SDA_MOSI_DATA (coord H16), J45[22]/U9[13]/U105[4]
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_DEBUG_UART_RX_PERIPHERAL FLEXCOMM0           /*!<@brief Peripheral name */
#define BOARD_INITPINS_DEBUG_UART_RX_SIGNAL RXD_SDA_MOSI_DATA       /*!<@brief Signal name */
                                                                    /* @} */

/*! @name FC0_TXD_SCL_MISO_WS (coord G16), J45[32]/U105[3]/U9[12]
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_DEBUG_UART_TXD_PERIPHERAL FLEXCOMM0           /*!<@brief Peripheral name */
#define BOARD_INITPINS_DEBUG_UART_TXD_SIGNAL TXD_SCL_MISO_WS         /*!<@brief Signal name */
                                                                     /* @} */

/*! @name FLEXIO_D12 (coord P12), J28[3]/J43[7]/FXIO_D12
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_RST_PERIPHERAL FLEXIO0             /*!<@brief Peripheral name */
#define BOARD_INITPINS_RST_SIGNAL IO                      /*!<@brief Signal name */
#define BOARD_INITPINS_RST_CHANNEL 12                     /*!<@brief Signal channel */
                                                          /* @} */

/*! @name FLEXIO_D13 (coord M9), J28[4]/J43[9]/FXIO_D13
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_CS_PERIPHERAL FLEXIO0             /*!<@brief Peripheral name */
#define BOARD_INITPINS_CS_SIGNAL IO                      /*!<@brief Signal name */
#define BOARD_INITPINS_CS_CHANNEL 13                     /*!<@brief Signal channel */
                                                         /* @} */

/*! @name FLEXIO_D14 (coord R9), J28[5]/J43[10]/FXIO_D14
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_WR_PERIPHERAL FLEXIO0              /*!<@brief Peripheral name */
#define BOARD_INITPINS_WR_SIGNAL IO                       /*!<@brief Signal name */
#define BOARD_INITPINS_WR_CHANNEL 14                      /*!<@brief Signal channel */
                                                          /* @} */

/*! @name FLEXIO_D15 (coord R10), J28[6]/J43[11]/FXIO_D15
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_RD_PERIPHERAL FLEXIO0              /*!<@brief Peripheral name */
#define BOARD_INITPINS_RD_SIGNAL IO                       /*!<@brief Signal name */
#define BOARD_INITPINS_RD_CHANNEL 15                      /*!<@brief Signal channel */
                                                          /* @} */

/*! @name FC5_RXD_SDA_MOSI_DATA (coord L2), JP26[2]
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SPI_MOSI_PERIPHERAL FLEXCOMM5           /*!<@brief Peripheral name */
#define BOARD_INITPINS_SPI_MOSI_SIGNAL RXD_SDA_MOSI_DATA       /*!<@brief Signal name */
                                                               /* @} */

/*! @name FC5_TXD_SCL_MISO_WS (coord K1), JP26[3]/U4[B3]
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SPI_MISO_PERIPHERAL FLEXCOMM5         /*!<@brief Peripheral name */
#define BOARD_INITPINS_SPI_MISO_SIGNAL TXD_SCL_MISO_WS       /*!<@brief Signal name */
                                                             /* @} */

/*! @name FC5_SCK (coord K2), JP26[4]
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SPI_CLK_PERIPHERAL FLEXCOMM5 /*!<@brief Peripheral name */
#define BOARD_INITPINS_SPI_CLK_SIGNAL SCK           /*!<@brief Signal name */
                                                    /* @} */

/*! @name FC5_CTS_SDA_SSEL0 (coord N4), JP26[1]
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SPI_SS0_PERIPHERAL FLEXCOMM5       /*!<@brief Peripheral name */
#define BOARD_INITPINS_SPI_SS0_SIGNAL CTS_SDA_SSEL0       /*!<@brief Signal name */
                                                          /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void); /* Function assigned for the Cortex-M33 */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
